#ifndef VARBITINFO_HPP_INCLUDED
#define VARBITINFO_HPP_INCLUDED

#include "CacheableNode.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class VarbitInfo : public CacheableNode
    {
        public:
            VarbitInfo(const void* Obj);

            VarbitInfo() = default;
            VarbitInfo(VarbitInfo&& Obj) = default;
            VarbitInfo(const VarbitInfo& Obj) = default;
            VarbitInfo& operator=(VarbitInfo&& Obj) = default;
            VarbitInfo& operator=(const VarbitInfo& Obj) = default;

            static Class GetClass();

            std::int32_t GetLSB() const;
            std::int32_t GetMSB() const;
            std::int32_t GetSettingID() const;

    };
}

#endif // VARBITINFO_HPP_INCLUDED
